org.eclipse.wst.jsdt.chromium.debug.ui.actions

## Class JsInspectSnippetAction

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.actions.JsInspectSnippetAction

    public class JsInspectSnippetAction
    extends java.lang.Object

Action for inspecting a JavaScript snippet.

### Constructor Summary

Constructors
Constructor and Description
`JsInspectSnippetAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`
`void` `setActiveEditor(IAction action, IEditorPart targetEditor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsInspectSnippetAction

    public JsInspectSnippetAction()

### Method Detail

#### setActiveEditor

    public void setActiveEditor(IAction action,
                                IEditorPart targetEditor)

#### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

#### run

    public void run(IAction action)